
## Set the working directory in R to the data_files folder before executing the following R-code



library(coda)


f01c<-read.table("par_output_f01_partS.txt") 
f02c<-read.table("par_output_f02_partS.txt") 
f03c<-read.table("par_output_f03_partS.txt") 
f04c<-read.table("par_output_f04_partS.txt") 
f05c<-read.table("par_output_f05_partS.txt") 

N<-25000

ESS<-c()
threshold<-c()
for(r in 1:400){
index<-5*(1:5000)
yf0c<-c()
for (i in (1:5000)){
yf0c[i]<-gelman.diag(mcmc.list(mcmc(f01c[((r-1)*N)+(1:index[i]),1]),mcmc(f02c[((r-1)*N)+(1:index[i]),1]),mcmc(f03c[((r-1)*N)+(1:index[i]),1]),
mcmc(f04c[((r-1)*N)+(1:index[i]),1]),mcmc(f05c[((r-1)*N)+(1:index[i]),1])))$psrf[2] #[1] is the point est, [2] the upper CI

if(as.numeric(yf0c[i])<1.1)break
}
threshold[r]<-length(yf0c)*5


f0c<-mcmc.list(mcmc(f01c[((r-1)*N)+(1:N),1]),mcmc(f02c[((r-1)*N)+(1:N),1]),
mcmc(f03c[((r-1)*N)+(1:N),1]),mcmc(f04c[((r-1)*N)+(1:N),1]),
mcmc(f05c[((r-1)*N)+(1:N),1]))

ESS[r]<-effectiveSize(f0c)
}


testsf0c<-cbind("threshold"=threshold, "ESS"=ESS)

write.table(testsf0c,"testsf0part_1.txt")
